/**
 * 分页对象
 */
export interface Page {
    current: number,
    size: number,
    total: number
}

/**
 * 分页参数
 */
export interface PageParams<T extends Record<string, any> = {}> {
    params: T & { [key: string]: any },
    page: Omit<Page, 'total'>
}

/**
 * 分页结果
 */
export interface PageResult<T> {
    current: string,
    records: T[],
    size: string,
    total: string
}