package com.changhu.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * author: luozhun
 * desc: some...
 * createTime: 2023/12/15 10:46
 */
@Data
@Component
@ConfigurationProperties(prefix = "project.thread-pool")
public class ThreadProperties {
    /**
     * 线程名字前缀
     */
    private String threadNamePrefix;
    /**
     * 核心线程数
     */
    private Integer corePoolSize;
    /**
     * 最大线程数
     */
    private Integer maxPoolSize;
    /**
     * 阻塞队列容量
     */
    private Integer queueCapacity;
    /**
     * 空闲线程存活时间
     */
    private Integer keepAliveSeconds;
}
