package com.changhu.module.assessmentCriteria.pojo.params;

import com.changhu.common.db.enums.SelectType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/6 上午11:51
 * @desc CkItemSaveOrUpdateParams...
 */
@Data
public class CkItemSaveOrUpdateParams {
    @Schema(description = "id")
    private Long snowFlakeId;

    @NotNull(message = "考核组不能为空")
    @Schema(description = "考核组id")
    private Long ckGroupId;

    @NotBlank(message = "考核项名称不能为空")
    @Schema(description = "考核项名称")
    private String name;

    @NotNull(message = "组件类型不能为空")
    @Schema(description = "组件类型")
    private SelectType type;

    @Schema(description = "备注")
    private String remark;
}
