package com.changhu.module.assessmentCriteria.pojo.params;

import com.changhu.common.db.enums.EnterprisesUnitType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/6 上午10:31
 * @desc CkProjectSaveOrUpdateParams...
 */
@Data
public class CkProjectSaveOrUpdateParams {
    @Schema(description = "考核项目id")
    private Long snowFlakeId;

    @NotBlank(message = "考核项目名不能为空")
    @Schema(description = "考核项目名称")
    private String name;

    @NotNull(message = "单位类型不能为空")
    @Schema(description = "对应企事业单位类型")
    private EnterprisesUnitType type;

    @NotNull(message = "考核分数不能为空")
    @Schema(description = "考核总分")
    private Integer totalScore;

    @Schema(description = "备注")
    private String remark;
}
