package com.changhu.module.assessmentCriteria.pojo.vo;

import com.changhu.common.db.enums.SelectType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/7 上午10:00
 * @desc 考核标准规则
 */
@Data
public class AssessmentCriteriaRuleVo {
    @Schema(description = "考核组id")
    private Long snowFlakeId;
    @Schema(description = "考核组名称")
    private String name;
    @Schema(description = "考核组总成绩")
    private Integer totalScore;
    @Schema(description = "考核组备注")
    private String remark;

    @Schema(description = "考核项")
    private List<Item> itemList;

    @Data
    public static class Item {
        @Schema(description = "考核项id")
        private Long snowFlakeId;
        @Schema(description = "考核分组id")
        private Long ckGroupId;
        @Schema(description = "考核项名称")
        private String name;
        @Schema(description = "考核项组件类型")
        private SelectType type;
        @Schema(description = "考核项备注")
        private String remark;

        @Schema(description = "考核标准")
        private List<Standard> standardList;
    }

    @Data
    public static class Standard {
        @Schema(description = "考核标准id")
        private Long snowFlakeId;
        @Schema(description = "考核项id")
        private Long ckItemId;
        @Schema(description = "考核标准名字")
        private String name;
        @Schema(description = "扣分值")
        private Double deductionPoints;
    }

}