package com.changhu.module.management.pojo.params;

import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.Sex;
import com.changhu.common.validator.annotation.IsMobile;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/3 上午10:26
 * @desc ManagementSecurityUnitUserSaveOrUpdateParams...
 */
@Data
public class ManagementSecurityUnitUserSaveOrUpdateParams {

    @Schema(description = "id")
    private Long snowFlakeId;

    @NotBlank(message = "名称不能为空")
    @Schema(description = "名称")
    private String name;

    @Schema(description = "性别")
    @NotNull(message = "性别不能为空")
    private Sex sex;

    @IsMobile
    @NotBlank(message = "手机号不能为空")
    private String telephone;

    @NotNull(message = "启用状态不能为空")
    @Schema(description = "启用状态")
    private IsEnable isEnable;

    @Schema(description = "备注")
    private String remark;

}
