package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.module.management.pojo.entity.EnterprisesUnit;
import com.changhu.module.management.pojo.params.EnterprisesUnitSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.EnterprisesUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.EnterprisesUnitPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

import java.util.List;

/**
 * enterprises_unit (企事业单位)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface EnterprisesUnitService extends IService<EnterprisesUnit> {

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<EnterprisesUnitPagerVo> pager(PageParams<EnterprisesUnitPagerQueryParams, EnterprisesUnitPagerVo> queryParams);

    /**
     * 新增或保存
     *
     * @param params 参数
     */
    void saveOrUpdate(EnterprisesUnitSaveOrUpdateParams params);

    /**
     * 根据行政区划编码查询下面的企事业单位
     *
     * @param administrativeDivisionCodes 行政区划编码
     * @return 结果
     */
    List<SelectNodeVo<Long>> queryListByAdministrativeDivisionCodes(List<String> administrativeDivisionCodes);
}
