package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.params.IndexCheckPassParams;
import com.changhu.module.management.pojo.params.IndexCheckStatusParams;
import com.changhu.module.management.pojo.params.IndexDisableOrEnableParams;
import com.changhu.module.management.pojo.queryParams.UnitMiniProgramUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.UnitCheckStatusVo;
import com.changhu.module.management.pojo.vo.UnitMiniProgramUserPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * @author 20252
 * @createTime 2024/9/2 上午9:49
 * @desc IndexService...
 */
public interface ManagementService {

    /**
     * 审核通过
     *
     * @param params 审核参数
     */
    void checkPass(IndexCheckPassParams params);

    /**
     * 获取审核状态
     *
     * @param params 参数
     * @return 结果
     */
    UnitCheckStatusVo getCheckStatus(IndexCheckStatusParams params);

    /**
     * 启用或者禁用单位
     *
     * @param params 参数
     */
    void disableOrEnable(IndexDisableOrEnableParams params);

    /**
     * 查询单位下的小程序用户
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<UnitMiniProgramUserPagerVo> miniProgramUserPager(PageParams<UnitMiniProgramUserPagerQueryParams, UnitMiniProgramUserPagerVo> queryParams);

    /**
     * 审核通过小程序用户
     *
     * @param params 参数
     */
    void passMiniProgramUser(IndexDisableOrEnableParams params);

    /**
     * 禁用或启用小程序用户
     *
     * @param params 参数
     */
    void disableOrEnableMiniProgramUser(IndexDisableOrEnableParams params);

}
