package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.module.management.pojo.entity.ServiceProject;
import com.changhu.module.management.pojo.params.ServiceProjectSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.ServiceProjectPagerQueryParams;
import com.changhu.module.management.pojo.vo.ServiceProjectPagerVo;
import com.changhu.pojo.dto.ServiceProjectDTO;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

import java.util.List;

/**
 * service_project (服务项目)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface ServiceProjectService extends IService<ServiceProject> {

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<ServiceProjectPagerVo> pager(PageParams<ServiceProjectPagerQueryParams, ServiceProjectPagerVo> queryParams);

    /**
     * 新增或者修改
     *
     * @param params 参数
     */
    void saveOrUpdate(ServiceProjectSaveOrUpdateParams params);

    /**
     * 获取企事业单位下的服务项目
     *
     * @param enterprisesUnitId 企事业单位id
     * @return 服务项目列表
     */
    List<ServiceProjectDTO> getServiceProjectByEnterprisesUnitId(Long enterprisesUnitId);
}
