package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.params.ManagementSuperUserSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.PoliceUnitPagerQueryParams;
import com.changhu.module.management.pojo.queryParams.SecurityUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.PoliceUnitPagerVo;
import com.changhu.module.management.pojo.vo.SecurityUnitPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;
import org.apache.ibatis.annotations.Param;

/**
 * @author 20252
 * @createTime 2024/9/11 上午9:52
 * @desc SuperService...
 */
public interface SuperService {
    /**
     * 新增或保存后台用户
     *
     * @param params 参数
     */
    void saveOrUpdateUser(ManagementSuperUserSaveOrUpdateParams params);

    /**
     * 公安单位分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<PoliceUnitPagerVo> policeUnitPager(@Param("queryParams") PageParams<PoliceUnitPagerQueryParams, PoliceUnitPagerVo> queryParams);

    /**
     * 保安单位分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<SecurityUnitPagerVo> securityUnitPager(PageParams<SecurityUnitPagerQueryParams, SecurityUnitPagerVo> queryParams);
}
