package com.changhu.module.miniProgram.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.MiniProgramUserIdentity;
import com.changhu.common.db.enums.Sex;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 小程序用户 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class MiniProgramUser extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String name;

    /**
     * 手机号
     */
    private String telephone;

    /**
     * 性别
     */
    private Sex sex;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 小程序唯一标识
     */
    private String openId;

    /**
     * 会话密钥
     */
    private String sessionKey;

    /**
     * 身份
     */
    private MiniProgramUserIdentity identity;

    /**
     * 所属单位id
     */
    private Long unitId;

    /**
     * 是否启用
     */
    private IsEnable isEnable;

    /**
     * 审核状态
     */
    private CheckStatus checkStatus;

}
