package com.changhu.module.miniProgram.pojo.params;

import com.changhu.common.db.enums.MiniProgramUserIdentity;
import com.changhu.common.db.enums.Sex;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/6 上午10:47
 * @desc MiniProgramUserRegisterParams...
 */
@Data
public class MiniProgramUserRegisterParams {
    @Schema(description = "微信code")
    @NotBlank(message = "code不能为空")
    private String code;

    @Schema(description = "名称")
    @NotBlank(message = "名称不能为空")
    private String name;

    @Schema(description = "性别")
    @NotNull(message = "性别不能为空")
    private Sex sex;

    @Schema(description = "手机号")
    private String telephone;

    @Schema(description = "身份")
    @NotNull(message = "身份不能为空")
    private MiniProgramUserIdentity identity;

    @Schema(description = "单位id")
    @NotNull(message = "单位不能为空")
    private Long unitId;
}
