package com.changhu.module.miniProgram.pojo.vo;

import cn.hutool.core.util.DesensitizedUtil;
import com.changhu.common.annotation.Desensitized;
import com.changhu.common.db.enums.Sex;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/9/12 上午9:41
 * @desc ServiceProjectSecurityUserPagerVo...
 */
@Data
public class ServiceProjectSecurityUserPagerVo {
    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "所属保安单位id")
    private Long securityUnitId;
    @Schema(description = "保安单位名字")
    private String securityUnitName;

    @Schema(description = "服务项目id")
    private Long serviceProjectId;

    @Schema(description = "名称")
    private String name;

    @Desensitized(value = DesensitizedUtil.DesensitizedType.MOBILE_PHONE)
    @Schema(description = "手机号")
    private String telephone;

    @Schema(description = "工作岗位")
    private String workPost;

    @Schema(description = "性别")
    private Sex sex;

    @Schema(description = "籍贯")
    private String nativePlace;

    @Desensitized(value = DesensitizedUtil.DesensitizedType.ID_CARD)
    @Schema(description = "身份证")
    private String idCard;

    @Schema(description = "出生日期")
    private java.time.LocalDate dateOfBirth;

    @Schema(description = "保安证号")
    private String securityNumber;

    @Schema(description = "家庭住址")
    private String homeAddress;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;
}
