package com.changhu.module.miniProgram.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.module.miniProgram.pojo.entity.MiniProgramUser;
import com.changhu.module.miniProgram.pojo.params.MiniProgramUserRegisterParams;
import com.changhu.module.miniProgram.pojo.params.SaveOrUpdateSecurityUserParams;
import com.changhu.module.miniProgram.pojo.queryParams.ServiceProjectSecurityUserPagerQueryParams;
import com.changhu.module.miniProgram.pojo.vo.ServiceProjectSecurityUserPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * mini_program_user (小程序用户)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface MiniProgramUserService extends IService<MiniProgramUser> {

    /**
     * 注册
     *
     * @param params 参数
     */
    void register(MiniProgramUserRegisterParams params);

    /**
     * 服务项目内的保安人员分页
     *
     * @param queryParams 查询参数
     * @return 保安人员
     */
    Page<ServiceProjectSecurityUserPagerVo> securityUserPager(PageParams<ServiceProjectSecurityUserPagerQueryParams, ServiceProjectSecurityUserPagerVo> queryParams);

    /**
     * 二维码表单录入保安人员
     *
     * @param params 参数
     */
    void qrCodeFormInputSecurityUser(SaveOrUpdateSecurityUserParams params);
}
