package com.changhu.pojo.dto;

import com.changhu.common.db.enums.EnterprisesUnitType;
import com.changhu.module.management.pojo.model.ContactPersonInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author 20252
 * @createTime 2024/10/10 上午9:13
 * @desc EnterprisesUnitDetailDTO...
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EnterprisesUnitDetailDTO {
    @Schema(description = "企事业单位id")
    private Long snowFlakeId;
    @Schema(description = "名字")
    private String name;
    @Schema(description = "类型")
    private EnterprisesUnitType type;
    @Schema(description = "地址")
    private String address;
    @Schema(description = "联系人")
    private ContactPersonInfo contactPersonInfo;
    @Schema(description = "备注")
    private String remark;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "服务项目列表")
    private List<ServiceProjectDTO> serviceProjectList;
}
