package com.changhu.pojo.params;

import com.changhu.module.management.pojo.model.ContactPersonInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/8/30 下午4:47
 * @desc PoliceUnitRegisterParams...
 */
@Data
public class PoliceUnitRegisterParams {
    @NotBlank(message = "单位名称不能为空")
    @Schema(description = "单位名称")
    private String name;

    @NotBlank(message = "单位代码不能为空")
    @Schema(description = "单位代码")
    private String code;

    @NotEmpty(message = "行政区划不能为空")
    @Schema(description = "行政区划")
    private List<String> administrativeDivisionCodes;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "联系人")
    private ContactPersonInfo contactPersonInfo;
}
