package com.changhu.pojo.params;

import com.changhu.module.management.pojo.model.LegalPersonInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:16
 * @desc SecurityUnitRegisterParams...
 */
@Data
public class SecurityUnitRegisterParams {
    @Schema(description = "id")
    private Long snowFlakeId;

    @NotBlank(message = "名字不能为空")
    @Schema(description = "名称")
    private String name;

    @NotBlank(message = "社会编码不能为空")
    @Schema(description = "社会编码")
    private String socialCode;

    @NotBlank(message = "营业执照不能为空")
    @Schema(description = "营业执照")
    private String businessLicense;

    @Schema(description = "法人信息")
    private LegalPersonInfo legalPersonInfo;

    @NotBlank(message = "公司性质不能为空")
    @Schema(description = "性质")
    private String nature;

    @NotEmpty(message = "行政区划不能为空")
    @Schema(description = "行政区划编码")
    private List<String> administrativeDivisionCodes;

    @Schema(description = "详细地址")
    private String address;
}
