package com.changhu.pojo.queryParams;

import com.changhu.common.db.enums.MiniProgramUserIdentity;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/9/6 下午3:43
 * @desc QueryUnitListByIdentityQueryParams...
 */
@Data
public class QueryUnitListByIdentityQueryParams {

    @NotNull(message = "身份不能为空")
    @Schema(description = "身份")
    private MiniProgramUserIdentity identity;

    @NotEmpty(message = "行政区划编码不能为空")
    @Schema(description = "行政区划编码")
    private List<String> administrativeDivisionCodes;

}
