package com.changhu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.common.pojo.vo.TreeNodeVo;
import com.changhu.pojo.entity.AdministrativeDivision;

import java.util.List;

/**
 * administrative_division (全国行政区划表(2023/12/04))  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface AdministrativeDivisionService extends IService<AdministrativeDivision> {

    /**
     * 全国行政区划树
     *
     * @param level 需要几级数据
     * @return 全国行政区划树
     */
    List<TreeNodeVo<String>> tree(Integer level);

    /**
     * 根据父编码查询子级(懒加载)
     *
     * @param parentCode 父编码
     * @return 子级
     */
    List<TreeNodeVo<String>> administrativeDivisionByParentCode(String parentCode);
}
