package com.changhu.service;

import com.changhu.common.pojo.model.JsonResult;
import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.pojo.params.PoliceUnitRegisterParams;
import com.changhu.pojo.params.SecurityUnitRegisterParams;
import com.changhu.pojo.queryParams.QueryUnitListByIdentityQueryParams;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:18
 * @desc CommonService...
 */
public interface CommonService {

    /**
     * 保安单位注册
     *
     * @param params 注册参数
     */
    JsonResult<Void> securityUnitRegister(SecurityUnitRegisterParams params);

    /**
     * 公安单位注册
     *
     * @param params 注册参数
     */
    JsonResult<Void> policeUnitRegister(PoliceUnitRegisterParams params);

    /**
     * 根据身份查询单位列表
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    List<SelectNodeVo<Long>> queryUnitListByIdentity(QueryUnitListByIdentityQueryParams queryParams);
}
