package com.changhu.service;

import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.pojo.dto.DataViewDTO;
import com.changhu.pojo.dto.EnterprisesUnitDetailDTO;
import com.changhu.pojo.queryParams.OpenGetEnterprisesUnit;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/10/9 下午5:28
 * @desc 开放接口
 */
public interface OpenApiService {
    /**
     * 获取企事业单位列表
     *
     * @param code  代码
     * @param level 等级
     * @return 企事业单位列表
     */
    List<SelectNodeVo<Long>> getEnterprisesUnit(String code, Integer level);

    /**
     * 企事业单位详情
     *
     * @param enterprisesUnitId 单位id
     * @return 企事业单位详情
     */
    EnterprisesUnitDetailDTO enterprisesUnitDetailById(Long enterprisesUnitId);

    /**
     * 数据总览
     *
     * @return 数据总览
     */
    DataViewDTO dataView();
}
