package com.changhu.support.mybatisplus.pojo.params;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * author: luozhun
 * desc: 分页参数
 * createTime: 2023/8/16 18:58
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Schema(description = "分页参数")
public class PageParams<P, T> {

    /**
     * 参数对象
     */
    @Valid
    @Schema(description = "查询参数")
    private P params;

    /**
     * 分页对象
     */
    @Schema(description = "分页参数")
    private Page<T> page;

}

