package com.changhu.support.ws.pojo.dto;

import com.changhu.support.ws.enums.WsMsgType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.lang.NonNull;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * author: luozhun
 * desc: TestSocketDTO
 * createTime: 2023/8/30 11:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class WsMsgDTO<T> implements Serializable {

    /**
     * 该消息类型
     */
    @NonNull
    private WsMsgType msgType;
    /**
     * 消息内容
     */
    private T data;
    /**
     * 消息时间
     */
    private LocalDateTime date;
}
