declare const __APP_ENV: ImportMetaEnv;

/**
 * 全局返回
 */
interface JsonResult<T> {
    code: number;
    message: string;
    data?: T;
}

/**
 * 选择
 */
class SelectNodeVo<T, E = Record<string, any>> {
    value: T;
    label: string;
    options?: SelectNodeVo<T>[]
    orderIndex?: number;
    disabled?: boolean;
    extData?: E
}

/**
 * 树
 */
class TreeNodeVo<T, E = Record<string, any>> {
    value: T;
    parentValue: T;
    label: string;
    orderIndex?: number;
    children?: TreeNodeVo<T>[]
    extData?: E;
}

/**
 * 栅格布局
 */
declare interface Grid {
    //栅格占据的列数
    span?: number;
    //栅格左侧的间隔格数
    offset?: number;
    //栅格向右移动格数
    push?: number;
    //栅格向左移动格数
    pull?: number;
    //<768px 响应式栅格数或者栅格属性对象
    xs?: number;
    //≥768px 响应式栅格数或者栅格属性对象
    sm?: number;
    //≥992px 响应式栅格数或者栅格属性对象
    md?: number;
    //≥1200px 响应式栅格数或者栅格属性对象
    lg?: number;
    //≥1920px 响应式栅格数或者栅格属性对象
    xl?: number;
}

interface BaseEnum<T> {
    value: T;
    label: string,
    extData?: Record<string, any>
}
