import {BaseTableRowRecord} from "@/types/components/table";

export interface CkProjectPagerVo extends BaseTableRowRecord {
    name: string;
    type: BaseEnum<string>
    totalScore: number
    remark: string;
}

export interface CkProjectPagerQueryParams {
    name: string;
    type: string
}

export interface SaveOrUpdateCkProjectParams {
    /*考核项目id */
    snowFlakeId?: string;
    /*考核项目名称 */
    name: string;
    /*对应企事业单位类型,可用值:school,hospital,community,bank */
    type: string;
    /*考核总分 */
    totalScore: number;
    /*备注 */
    remark?: string;
}

export interface SaveOrUpdateCkGroupParams {
    /*考核分组id */
    snowFlakeId?: string;
    /*考核项目id */
    ckProjectId?: string;
    /*考核组名称 */
    name: string;
    /*考核组总分 */
    totalScore: number;
    /*备注 */
    remark?: string;
}

export interface SaveOrUpdateCkItemParams {
    /*id */
    snowFlakeId?: string;
    /*考核组id */
    ckGroupId: string;
    /*考核项名称 */
    name: string;
    /*组件类型,可用值:RADIO,MULTIPLE */
    type: string;
    /*备注 */
    remark?: string;
}

export interface SaveOrUpdateCkStandardParams {
    /*考核标准id */
    snowFlakeId?: string;
    /*考核项id */
    ckItemId: string;
    /*标准名 */
    name: string;
    /*扣分值 */
    deductionPoints: number;
}

export interface CkProjectDetailRes {
    /*考核分组id */
    ckGroupId: string;
    groupRowSpan: number;
    /*考核分组名字 */
    groupName: string;
    /*考核分组总分 */
    groupTotalScore: number;
    /*考核分组备注 */
    groupRemark: string;
    /*考核项id */
    ckItemId: string;
    itemRowSpan: number;
    /*考核项名字 */
    itemName: string;
    /*考核项备注 */
    itemRemark: string;
    /*考核标准id */
    ckStandardId: string;
    /*考核标准条件 */
    standardName: string;
    /*扣分数 */
    deductionPoints: number;
    /*选择类型,可用值:RADIO,MULTIPLE */
    itemType: BaseEnum<string>;
}
