import {BaseTableRowRecord} from "@/types/components/table";

export interface PoliceUnitPagerQueryParams {
    /** 名称 **/
    name?: string;
    /** 代码 **/
    code?: string;
    /** 行政区划 **/
    administrativeDivisionCodes?: string[];
    /** 是否启用 **/
    isEnable?: BaseEnum<number>;
    /** 审核状态 **/
    checkStatus?: BaseEnum<number>;
}

export interface PoliceUnitPagerVo extends BaseTableRowRecord {
    /** 名称 **/
    name?: string;
    /** 代码 **/
    code?: string;
    /** 省编码 **/
    province?: string;
    /** 省名字 **/
    provinceName?: string;
    /** 市编码 **/
    city?: string;
    /** 市名字 **/
    cityName?: string;
    /** 区/县编码 **/
    districts?: string;
    /** 区/县名字 **/
    districtsName?: string;
    /** 街道编码 **/
    street?: string;
    /** 街道编码 **/
    streetName?: string;
    /** 详细地址 **/
    address?: string;
    /** 联系人 **/
    contactPersonInfo?: {
        name: string;
        telephone: string;
    };
    /** 是否启用 **/
    isEnable?: BaseEnum<number>;
    /** 审核状态 **/
    checkStatus?: BaseEnum<number>;
}

export interface EnterprisesUnitPagerQueryParams {
    /** 公安单位id **/
    policeUnitId: string;
}

export interface EnterprisesUnitPagerVo extends BaseTableRowRecord {
    /** 名字 **/
    name?: string;
    type: BaseEnum<string>
    /** 公安单位id **/
    policeUnitId: string;
    /** 省编码 **/
    province?: string;
    /** 省名称 **/
    provinceName?: string;
    /** 市编码 **/
    city?: string;
    /** 市名称 **/
    cityName?: string;
    /** 区编码 **/
    districts?: string;
    /** 区名称 **/
    districtsName?: string;
    /** 街编码 **/
    street?: string;
    /** 街名称 **/
    streetName?: string;
    /** 地址 **/
    address?: string;
    point: [number, number]
    /** 联系方式 **/
    contactPersonInfo?: {
        name: string;
        telephone: string;
    };
    /** 备注 **/
    remark?: string;
}

export interface EnterprisesUnitSaveOrUpdateParams {
    /** id **/
    snowFlakeId?: string;
    /** 公安单位id **/
    policeUnitId: string;
    /** 名称 **/
    name: string;
    /** 类型 **/
    type: string;
    /** 行政区划编码 **/
    administrativeDivisionCodes: string[];
    /** 详细地址 **/
    address?: string;
    point?: [number, number]
    /** 联系人 **/
    contactPersonInfo?: {
        name: string;
        telephone: string;
    };
    /** 备注 **/
    remark?: string;
}
