import {BaseTableRowRecord} from "@/types/components/table";

export interface SecurityUnitPagerQueryParams {
    /** 名称 **/
    name?: string;
    /** 社会编码 **/
    socialCode?: string;
    /** 行政区划编码 **/
    administrativeDivisionCodes?: string[];
    /** 是否启用 **/
    isEnable?: number;
    /** 审核状态 **/
    checkStatus?: number;
}

export interface SecurityUnitPagerVo extends BaseTableRowRecord {
    /** 名称 **/
    name?: string;
    /** 社会编码 **/
    socialCode?: string;
    /** 营业执照 **/
    businessLicense?: string;
    /** 法人信息 **/
    legalPersonInfo?: {
        name: string;
        telephone: string;
    };
    /** 省编码 **/
    province?: string;
    /** 省名字 **/
    provinceName?: string;
    /** 市编码 **/
    city?: string;
    /** 市名字 **/
    cityName?: string;
    /** 区/县编码 **/
    districts?: string;
    /** 区/县名字 **/
    districtsName?: string;
    /** 街道编码 **/
    street?: string;
    /** 街道编码 **/
    streetName?: string;
    /** 详细地址 **/
    address?: string;
    /** 公司性质 **/
    nature?: string;
    /** 是否启用 **/
    isEnable?: BaseEnum<number>;
    /** 审核状态 **/
    checkStatus?: BaseEnum<number>;
}
