/// <reference types="vite/client" />
interface ImportMetaEnv {
    // 项目名称
    readonly VITE_APP_NAME: string;
    // 当前环境
    readonly VITE_APP_ENV: 'development' | 'production';
    // 启动端口
    readonly VITE_APP_PORT: number;
    // 模块名称
    readonly VITE_APP_MODULE_NAME: string;

    // axios
    readonly VITE_APP_BASE_API: string;
    readonly VITE_APP_PROXY_URL: string;

    // minio
    readonly VITE_APP_MINIO_URL: string
    readonly VITE_APP_MINIO_BUCKET: string

    // RSA公钥
    readonly VITE_APP_RSA_PUBLIC_KEY: string;

    // 高德
    VITE_APP_GAODE_KEY: string
    VITE_APP_GAODE_VERSION: string
    VITE_APP_SECURITY_JS_CODE: string
}

declare module '*.vue' {
    import {DefineComponent} from "vue"
    const component: DefineComponent<{}, {}, any>
    export default component
}
